Main Page Packages Class Hierarchy Compound List File List Compound Members

# notationgetpublicid Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| notationgetpublicid (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getPublicId()" method of a Notation node contains the public identifier associated with the notation, if one was specified.

Retrieve the notation named "notation1" and access its public identifier. The string "notation1File" should be returned.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-54F2B4D0

Definition at line 45 of file notationgetpublicid.java.

## Constructor & Destructor Documentation

notationgetpublicid::notationgetpublicid | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file notationgetpublicid.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String notationgetpublicid::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 67 of file notationgetpublicid.java.
    00067                                 {
    00068       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/notationgetpublicid";
    00069    }

void notationgetpublicid::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 70 of file notationgetpublicid.java. References DOMTestCase::doMain().
    00070                                           {
    00071         DOMTestCase.doMain(notationgetpublicid.class,args);
    00072    }

void notationgetpublicid::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file notationgetpublicid.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       DocumentType docType;
    00056       NamedNodeMap notations;
    00057       Notation notationNode;
    00058       String publicId;
    00059       doc = load("staff");
    00060       docType = doc.getDoctype();
    00061       notations = docType.getNotations();
    00062       notationNode = (Notation)notations.getNamedItem("notation1");
    00063       publicId = notationNode.getPublicId();
    00064       assertEquals("notationGetPublicIdAssert","notation1File",publicId);
    00065
    00066    }

The documentation for this class was generated from the following file:

- notationgetpublicid.java